Bug 518303 - gcc produced assembler file rejected with "Error: can't resolve"
Summary: gcc produced assembler file rejected with "Error: can't resolve"
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-19 19:27 UTC by Michal Jaegermann
Modified: 2009-10-01 21:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-11 18:05:06 UTC


Attachments (Terms of Use)
preprocessed source file which run into trouble (465.38 KB, text/plain)
2009-08-19 19:27 UTC, Michal Jaegermann
no flags Details
a script used to compile sources (cut from a compilation command used in an actual run) (163 bytes, text/plain)
2009-08-19 19:29 UTC, Michal Jaegermann
no flags Details
an assembler file produced by gcc (57.58 KB, text/plain)
2009-08-19 19:32 UTC, Michal Jaegermann
no flags Details
assembler produced with gcc-4.4.1-2.fc11.x86_64 (60.27 KB, text/plain)
2009-08-21 06:03 UTC, Michal Jaegermann
no flags Details

Description Michal Jaegermann 2009-08-19 19:27:33 UTC
Created attachment 357982 [details]
preprocessed source file which run into trouble

Description of problem:

An attempt of recompilation of a C program ended up with

{standard input}: Assembler messages:
{standard input}:788: Error: can't resolve `.LFE112' {*UND* section} - `.Ltext0' {.text section}

A closer look at a produced assembler code shows that a complaint is valid.
Attached are relevant files.

Version-Release number of selected component (if applicable):
gcc-4.4.1-3.x86_64

How reproducible:
Every time

Comment 1 Michal Jaegermann 2009-08-19 19:29:12 UTC
Created attachment 357983 [details]
a script used to compile sources (cut from a compilation command used in an actual run)

Comment 2 Michal Jaegermann 2009-08-19 19:32:34 UTC
Created attachment 357984 [details]
an assembler file produced by gcc

The only occurence of .LFE112 label is on this line:
        .quad   .LFE112-.Ltext0

Comment 3 Michal Jaegermann 2009-08-19 21:31:29 UTC
In the meantime gcc-4.4.1-6.x86_64 showed up and this version is able to recompile sources in question.  '.LFE112' label does not show up in assembler.
Hopefuly this error will not show up on some other input.

Comment 4 Michal Jaegermann 2009-08-21 05:51:58 UTC
The same bug shows up in the latest gcc-4.4.1-2.fc11.x86_64 update for Fedora 11.
This time one sees:
{standard input}: Assembler messages:
{standard input}:812: Error: can't resolve `.LFE112' {*UND* section} - `.Ltext0' {.text section}

A file preprocesse on F11 is not exactly the same as the one from an attachment (id=357982) but running on it a script from attachment (id=357983) does create a file with a single occurence of .LFE112 on line 812.

Comment 5 Michal Jaegermann 2009-08-21 06:03:58 UTC
Created attachment 358185 [details]
assembler produced with gcc-4.4.1-2.fc11.x86_64

Label .LFE112 shows in debug_loc section and dropping -g flag allows to recompile the file in question.

In a code produced by gcc-4.4.1-6.fc12 the whole block with .LFE112 is simply not there even if '-g' is present.

Comment 7 Jakub Jelinek 2009-09-11 18:05:06 UTC
Should be fixed in gcc-4.4.1-13 in rawhide.

Comment 8 Michal Jaegermann 2009-09-11 19:00:01 UTC
> Should be fixed in gcc-4.4.1-13 in rawhide.

As mentioned in a comment #3 already gcc-4.4.1-6.fc12 was compiling a sample file without troubles.  Could be that just by luck.  OTOH closing that in rawhide does not change that detail that the current version for Fedora 11 is broken (and the bug was reopened a while ago for 11).

Comment 9 Michal Jaegermann 2009-10-01 21:16:04 UTC
The bug is still present in the current compiler version for Fedora 11 and that it was fixed in rawhide is of not much help.  Should it be reopened?


Note You need to log in before you can comment on or make changes to this bug.